Bug 853968 - 3.1 beta 3 [VDSM] getVdsCaps not update 'mtu' when removing network with MTU from nic/BOND interface
3.1 beta 3 [VDSM] getVdsCaps not update 'mtu' when removing network with MTU ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity medium
: beta
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 08:49 EDT by Meni Yakove
Modified: 2012-12-04 14:09 EST (History)
5 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-34.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:09:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (1.11 MB, application/x-gzip)
2012-09-03 08:49 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-09-03 08:49:53 EDT
Created attachment 609376 [details]
vdsm.log

Description of problem:
When there is two networks with different MTU attached to nic/BOND and we removing the network with the highest MTU getVdsCaps not displaying the right MTU.

For example:
NET_MTU_5000 and NET_MTU_9000 attached to BOND2
remove NET_MTU_9000 from the BOND.
getVdsCaps report that BOND2 have 'mtu': '9000', and also for nics eth2 and eth3.

vdsClient -s 0 getVdsCaps
        HBAInventory = {'iSCSI': [{'InitiatorName': 'iqn.1994-05.com.redhat:e3a49943b29'}], 'FC': []}
        ISCSIInitiatorName = iqn.1994-05.com.redhat:e3a49943b29
        bondings = {'bond4': {'addr': '', 'cfg': {}, 'mtu': '5000', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond0': {'addr': '', 'cfg': {}, 'mtu': '1500', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond1': {'addr': '', 'cfg': {}, 'mtu': '9000', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}, 'bond2': {'addr': '', 'cfg': {'MTU': '5000', 'NM_CONTROLLED': 'no', 'STP': 'no', 'BONDING_OPTS': 'mode=4', 'DEVICE': 'bond2', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'slaves': ['eth2', 'eth3'], 'hwaddr': '00:14:5E:17:D4:64'}, 'bond3': {'addr': '', 'cfg': {}, 'mtu': '5000', 'netmask': '', 'slaves': [], 'hwaddr': '00:00:00:00:00:00'}}
        bridges = {'rhevm': {'addr': '10.35.97.59', 'cfg': {'IPADDR': '10.35.97.59', 'ONBOOT': 'yes', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.97.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'ports': ['vnet0', 'eth0']}, 'VVM_400_5000': {'addr': '', 'cfg': {'MTU': '5000', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'VVM_400_5000', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'stp': 'off', 'ports': ['bond2.500']}}
        clusterLevels = ['3.0', '3.1']
        cpuCores = 2
        cpuFlags = fpu,vme,de,pse,tsc,msr,pae,mce,cx8,apic,mtrr,pge,mca,cmov,pat,pse36,clflush,dts,acpi,mmx,fxsr,sse,sse2,ss,ht,tm,pbe,syscall,nx,lm,constant_tsc,arch_perfmon,pebs,bts,rep_good,aperfmperf,pni,dtes64,monitor,ds_cpl,vmx,est,tm2,ssse3,cx16,xtpr,pdcm,dca,lahf_lm,dts,tpr_shadow,model_Conroe
        cpuModel = Intel(R) Xeon(R) CPU            5150  @ 2.66GHz
        cpuSockets = 1
        cpuSpeed = 2660.129
        emulatedMachines = ['rhel6.3.0', 'pc', 'rhel6.2.0', 'rhel6.1.0', 'rhel6.0.0', 'rhel5.5.0', 'rhel5.4.4', 'rhel5.4.0']
        guestOverhead = 65
        hooks = {}
        kvmEnabled = true
        lastClient = 10.35.97.119
        lastClientIface = rhevm
        management_ip = 
        memSize = 15951
        netConfigDirty = True
        networks = {'rhevm': {'iface': 'rhevm', 'addr': '10.35.97.59', 'cfg': {'IPADDR': '10.35.97.59', 'ONBOOT': 'yes', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'NETMASK': '255.255.255.0', 'BOOTPROTO': 'none', 'DEVICE': 'rhevm', 'TYPE': 'Bridge', 'GATEWAY': '10.35.97.254'}, 'mtu': '1500', 'netmask': '255.255.255.0', 'stp': 'off', 'bridged': True, 'gateway': '10.35.97.254', 'ports': ['vnet0', 'eth0']}, 'VVM_400_5000': {'iface': 'VVM_400_5000', 'addr': '', 'cfg': {'MTU': '5000', 'DELAY': '0', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'VVM_400_5000', 'TYPE': 'Bridge', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'stp': 'off', 'bridged': True, 'gateway': '0.0.0.0', 'ports': ['bond2.500']}}
        nics = {'eth3': {'permhwaddr': '00:14:5E:17:D4:66', 'addr': '', 'cfg': {'DEVICE': 'eth3', 'STP': 'no', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'MASTER': 'bond2', 'HWADDR': '00:14:5E:17:D4:66', 'SLAVE': 'yes', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'hwaddr': '00:14:5E:17:D4:64', 'speed': 1000}, 'eth2': {'permhwaddr': '00:14:5E:17:D4:64', 'addr': '', 'cfg': {'DEVICE': 'eth2', 'STP': 'no', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'MASTER': 'bond2', 'HWADDR': '00:14:5E:17:D4:64', 'SLAVE': 'yes', 'ONBOOT': 'yes'}, 'mtu': '9000', 'netmask': '', 'hwaddr': '00:14:5E:17:D4:64', 'speed': 1000}, 'eth1': {'addr': '', 'cfg': {'DEVICE': 'eth1', 'HWADDR': '00:15:17:3D:CD:CF', 'ONBOOT': 'yes'}, 'mtu': '5000', 'netmask': '', 'hwaddr': '00:15:17:3D:CD:CF', 'speed': 1000}, 'eth0': {'addr': '', 'cfg': {'BRIDGE': 'rhevm', 'UUID': 'e83bf01b-a688-48a9-a550-1a5d1794d4eb', 'NM_CONTROLLED': 'no', 'DEVICE': 'eth0', 'BOOTPROTO': 'none', 'HWADDR': '00:15:17:3D:CD:CE', 'ONBOOT': 'yes'}, 'mtu': '1500', 'netmask': '', 'hwaddr': '00:15:17:3D:CD:CE', 'speed': 1000}}
        operatingSystem = {'release': '6.3.0.3.el6', 'version': '6Server', 'name': 'RHEL'}
        packages2 = {'kernel': {'release': '279.5.2.el6.x86_64', 'buildtime': 1344933399.0, 'version': '2.6.32'}, 'spice-server': {'release': '10.el6', 'buildtime': '1337611492', 'version': '0.10.1'}, 'vdsm': {'release': '31.0.el6_3', 'buildtime': '1346138207', 'version': '4.9.6'}, 'qemu-kvm': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}, 'libvirt': {'release': '21.el6_3.4', 'buildtime': '1345003094', 'version': '0.9.10'}, 'qemu-img': {'release': '2.298.el6_3', 'buildtime': '1343061272', 'version': '0.12.1.2'}}
        reservedMem = 321
        software_revision = 31.0
        software_version = 4.9
        supportedProtocols = ['2.2', '2.3']
        supportedRHEVMs = ['3.0', '3.1']
        uuid = 730B44F9-7683-3678-B843-F36FA3BFA798_00:14:5E:17:D4:64
        version_name = Snow Man
        vlans = {'bond2.500': {'cfg': {'BRIDGE': 'VVM_400_5000', 'VLAN': 'yes', 'MTU': '5000', 'NM_CONTROLLED': 'no', 'STP': 'no', 'DEVICE': 'bond2.500', 'ONBOOT': 'yes'}, 'netmask': '', 'iface': 'bond2', 'addr': '', 'mtu': '5000'}}
        vmTypes = ['kvm']


Version-Release number of selected component (if applicable):
vdsm-4.9.6-31.0.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create two networks with MTU - NET-5000 and NET-9000 and attach them to BOND.
2.Open SetupNetworks and remove NET-9000 from the BOND.

  
Actual results:
getVdsCaps report that the BOND mtu is 9000 and the nics mtu is 9000

Expected results:
getVdsCaps should report that the BOND mtu is 5000 and the nics mtu is 5000
Comment 2 Meni Yakove 2012-09-04 03:43:25 EDT
SetupNetworks report the correct MTU for the network but the physical NIC have the wrong MTU - 9000. (Should be 5000)
Comment 3 lpeer 2012-09-04 03:49:44 EDT
that means that de-facto the MTU on the nic is wrong, we only report the right number to the engine (the cfg file is updates but not read to running configuration).
Comment 4 Igor Lvovsky 2012-09-04 12:15:40 EDT
 Meni,
when you verifying this bug please try following scenario too:

1. Add 2 VLANed bridged networks with different custom MTUs
2. Run VM on network with lower MTU and check traffic
3. Remove network with higher MTU
4. Check that traffic on VM still OK
5. Check MTU changes in vdsCaps
Comment 5 Igor Lvovsky 2012-09-06 10:23:18 EDT
http://gerrit.ovirt.org/#/c/7749/2
Comment 7 Meni Yakove 2012-09-16 03:40:54 EDT
Verified on vdsm-4.9.6-34.0.el6_3.x86_64.
Comment 10 errata-xmlrpc 2012-12-04 14:09:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.